resource "akamai_edgeworker" "geo_languagecookie" {
	name             = "${var.user_id}-GeoLanguageCookie"
	group_id         = "${var.group_id}"
	resource_tier_id = 100
	local_bundle     = "./modules/edgeworkers/bundle.tgz"
}

resource "akamai_edgeworkers_activation" "ew_activation" {
	edgeworker_id = akamai_edgeworker.geo_languagecookie.id
	network       = var.network
	version       = akamai_edgeworker.geo_languagecookie.version
}

output "edgeworker_id" {
	value = "${akamai_edgeworker.geo_languagecookie.id}"
}